import styled from 'styled-components';

const ResizeInner = styled.div.withConfig({
  displayName: "Resizer__ResizeInner",
  componentId: "sc-plcbjs-0"
})(["width:2px;opacity:0;height:100%;"]);
const Resizer = styled.div.withConfig({
  displayName: "Resizer",
  componentId: "sc-plcbjs-1"
})(["transform:", ";", "{opacity:", ";}position:absolute;right:0;top:0;height:100%;width:5px;cursor:col-resize;user-select:none;touch-action:none;display:flex;justify-content:flex-end;"], props => props.$columnResizeMode === 'onEnd' ? 'translateX(0px)' : 'none', ResizeInner, props => props.$isResizing ? 1 : 0);

export { ResizeInner, Resizer };
