import { ColumnResizeMode, HeaderGroup, Table as TanStackTable } from '@tanstack/react-table';
type Props<T> = {
    footerGroup: HeaderGroup<T>;
    columnResizeMode?: ColumnResizeMode | null;
    deltaOffset: number | null;
    table: TanStackTable<T>;
};
export declare function TableFooterRow<T>({ footerGroup, columnResizeMode, deltaOffset, table, }: Props<T>): import("react/jsx-runtime").JSX.Element;
export {};
