/**
 * Function returning wether a string only contains number. Allows leading or trailing spaces.
 *
 * Examples:
 *
 * ```
 * isNumberOnlyString("10") // true
 * isNumberOnlyString("10.10") // true
 * isNumberOnlyString("10px") // false
 * isNumberOnlyString("10%") // false
 * isNumberOnlyString("10 ") // true
 * ```
 *
 * @param number
 * @returns
 */
export declare function isNumberOnlyString(number: string): boolean;
export declare function addPxSuffixIfInputHasNoPrefix(size: number | string): string;
export declare function logDevelopmentWarningOfPropUse(deprecatedProps: Record<string, {
    value: unknown;
    mitigationInfo?: string;
}>): void;
