import { Column } from '@tanstack/react-table';
import { FC } from 'react';
type FilterProps<T = unknown, U = unknown> = {
    column: Column<T>;
    CustomComponent?: FC<{
        onChange: (value: U) => void;
        value: U;
    }>;
};
export declare function FilterWrapper<T = unknown>({ column, CustomComponent, }: FilterProps<T>): import("react/jsx-runtime").JSX.Element;
export {};
